Subject: RE: [HACKERS] backend freezeing on win32 fixed (I hope ;-) )
From: "McCunney, Dennis" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Mon, 16 Aug 1999 17:53:38 -0400

> -----Original Message-----
> From: Chris Faylor [mailto:[email-masked]]
> Sent: Monday, August 16, 1999 4:40 PM
> To: McCunney, Dennis
> Cc: [email-masked]'
> Subject: Re: [HACKERS] backend freezeing on win32 fixed (I hope ;-) )
> > 
> >>We don't have correct emulation of IPC semapahores since they are not
> >>implemented at all.  I assume that if you're relying on persistent
> >>semaphores, then some add-on package is being used.
> >
> >How about an additional section in the API FAQ with a list of stuff
> >that _isn't_ implemented, together with a note for each on whether it
> >isn't implemented because you haven't needed to, and if anyone does,
> >please send a patch, or it isn't implemented because you don't think it
> >_can_ be done in the Win32 environment, and if anyone figures out a
> >way, please send a patch?
> 
> This is a good idea.  If you send me a patch for the API FAQ 
> and I'll be glad to add this.

Thanks.  I figured it would cut down a few questions of the "Does Cygwin
implement this?" variety.  I'd be tempted to make it the first thing
a new Cygwin programmer sees. 
 
> If you aren't too sure what to add, you can get started with 
> the semaphores which were mentioned in this thread.  Also, if you peruse
the 
> mailing list archives you should be able to find additional items.

I have a local copy of the FAQ, so I'll start with it.  The mail archives 
will take more doing.  Is there a chance of getting them in a downloadable
form to review locally?  I don't have direct internet access from this work
account (Internet to the desktop is in the planning stages, but Y2K test and
remediation is the current hot button), and doing it via 56K dial-up from
home is a PITA for various reasons.

I would also recommend packaging both the User Guide and the API FAQ with
the FULL.EXE release next time, instead of requiring the users to view
it on line.  I think it would help a lot in cutting down confusion.

I can probably make a start on the list of unimplemented stuff, but you'll 
have to tell me why it wasn't implemented.
 
> Looking forward to your contribution...

I'll do what I can, but I don't recommend holding your breath while you 
wait.  :-)

> -chris
______
Dennis

--
Want to unsubscribe from this list?
Send a message to [email-masked]